> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Noise Threshold

> Deletes a [noise threshold](https://docs.seam.co/capability-guides/noise-sensors/configure-noise-threshold-settings) from a [noise sensor](https://docs.seam.co/capability-guides/noise-sensors).



## OpenAPI

````yaml /openapi.json post /noise_sensors/noise_thresholds/delete
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /noise_sensors/noise_thresholds/delete:
    post:
      tags:
        - /noise_sensors
      summary: Delete a Noise Threshold
      description: >-
        Deletes a [noise
        threshold](https://docs.seam.co/capability-guides/noise-sensors/configure-noise-threshold-settings)
        from a [noise
        sensor](https://docs.seam.co/capability-guides/noise-sensors).
      operationId: noiseSensorsNoiseThresholdsDeletePost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                device_id:
                  description: >-
                    ID of the device that contains the noise threshold that you
                    want to delete.
                  format: uuid
                  type: string
                noise_threshold_id:
                  description: ID of the noise threshold that you want to delete.
                  format: uuid
                  type: string
                sync:
                  default: false
                  type: boolean
                  x-undocumented: Only used internally.
              required:
                - noise_threshold_id
                - device_id
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  action_attempt:
                    type: object
                    description: >-
                      Tracks the progress of this operation. Poll using the
                      action_attempt_id.
                    properties:
                      action_attempt_id:
                        type: string
                        format: uuid
                        description: ID of the action attempt.
                      action_type:
                        type: string
                        enum:
                          - DELETE_NOISE_THRESHOLD
                        description: Type of action being tracked.
                      status:
                        type: string
                        enum:
                          - pending
                          - success
                          - error
                        description: Current status of the action.
                      result:
                        type: object
                        nullable: true
                        description: Result payload on success.
                      error:
                        type: object
                        nullable: true
                        description: Error details on failure.
                        properties:
                          type:
                            type: string
                          message:
                            type: string
                    required:
                      - action_attempt_id
                      - action_type
                      - status
                  ok:
                    type: boolean
                required:
                  - action_attempt
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - api_key: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.noiseSensors.noiseThresholds.delete({
              noise_threshold_id: "00fbac13-6602-4079-b4ae-c89d5dcbed35",
              device_id: "736fc5bf-192d-4416-b879-66ff0195f2f7",
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/noise_sensors/noise_thresholds/delete"
            \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "noise_threshold_id": "00fbac13-6602-4079-b4ae-c89d5dcbed35",
              "device_id": "736fc5bf-192d-4416-b879-66ff0195f2f7"
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: |-
            seam.noise_sensors.noise_thresholds.delete(
                noise_threshold_id="00fbac13-6602-4079-b4ae-c89d5dcbed35",
                device_id="736fc5bf-192d-4416-b879-66ff0195f2f7",
            )

            # None
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.noise_sensors.noise_thresholds.delete(
              noise_threshold_id: "00fbac13-6602-4079-b4ae-c89d5dcbed35",
              device_id: "736fc5bf-192d-4416-b879-66ff0195f2f7",
            )

            # => nil
        - lang: php
          label: Seam SDK
          source: |-
            $seam->noise_sensors->noise_thresholds->delete(
                noise_threshold_id: "00fbac13-6602-4079-b4ae-c89d5dcbed35",
                device_id: "736fc5bf-192d-4416-b879-66ff0195f2f7",
            );
        - lang: bash
          label: Seam CLI
          source: >-
            seam noise-sensors noise-thresholds delete --noise_threshold_id
            "00fbac13-6602-4079-b4ae-c89d5dcbed35" --device_id
            "736fc5bf-192d-4416-b879-66ff0195f2f7"


            # {}
components:
  securitySchemes:
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http

````